package intrinsic.mx.messaging.channels.amfx;

public class AMFXContext extends Object {

	/** Accessors */

	/** Variables */
	public intrinsic.mx.logging.ILogger log;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AMFXContext() {
}


/** Static Methods */

/** Methods */
public native void reset();
public native Object getTraitInfo(int arg0);
public native int findObject(Object arg0);
public native void addString(String arg0);
public native void addTraitInfo(Object arg0);
public native void addObject(Object arg0);
public native Object getObject(int arg0);
public native String getString(int arg0);
public native int findTraitInfo(Object arg0);
public native int findString(String arg0);

}
